<?php
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();

$set['title'] = 'Дуэли ';
include_once 'sys/inc/thead.php';

title();
aut();


$act = $_GET['act'];
$ids = intval($_GET['id']);
$dtime = (time()-86400);
$ql=mysql_query("SELECT * FROM `duels` WHERE `act` = '1' AND `time` < '$dtime' ORDER BY time");

while ($poste = mysql_fetch_array($ql))
{
if($poste['koler']>$poste['kolur'])
{
mysql_query("UPDATE `user` SET `rating`=`rating`+'$poste[koler]' WHERE `id`='".$poste['ider']."'");
$msgno = 'Поздравляем, вы выиграли в дуэли и ваш рейтинг вырос на '.$poste['koler'].'! Желаем вам дальнейших успехов! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['ider']."', '".$msgno."', '".$time."')");
$msgnos = 'Сожалеем вам, но вы проиграли схватку в дуэли! Желаем вам дальнейших успехов! И выиграшей! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['idur']."', '".$msgnos."', '".$time."')");
} else if(($poste['koler'] + $poste['kolur']) == 0) {
$msgno = 'К сожалению за вашу дуэль никто не проголосовал! Желаем вам дальнейших успехов! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['idur']."', '".$msgno."', '".$time."')");
$msgnos = 'К сожалению за вашу дуэль никто не проголосовал! Желаем вам дальнейших успехов! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['ider']."', '".$msgnos."', '".$time."')");
} else if($poste['koler'] == $poste['kolur']) {
$ratis = ($poste['kolur']/2);
mysql_query("UPDATE `user` SET `rating`=`rating`+'$ratis' WHERE `id`='".$poste['idur']."'");
mysql_query("UPDATE `user` SET `rating`=`rating`+'$ratis' WHERE `id`='".$poste['ider']."'");
$msgno = 'Поздравляем, всзватка прошла вничью, и ваш рейтинг вырос на '.$ratis.'! Желаем вам дальнейших успехов! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['idur']."', '".$msgno."', '".$time."')");
$msgnos = 'Поздравляем, всзватка прошла вничью, и ваш рейтинг вырос на '.$ratis.'! Желаем вам дальнейших успехов! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['ider']."', '".$msgnos."', '".$time."')");
} else {
mysql_query("UPDATE `user` SET `rating`=`rating`+'$poste[kolur]' WHERE `id`='".$poste['idur']."'");
$msgno = 'Поздравляем, вы выиграли в дуэли и ваш рейтинг вырос на '.$poste['kolur'].'! Желаем вам дальнейших успехов! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['idur']."', '".$msgno."', '".$time."')");
$msgnos = 'Сожалеем вам, но вы проиграли схватку в дуэли! Желаем вам дальнейших успехов! И выиграшей! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$poste['ider']."', '".$msgnos."', '".$time."')");
}
mysql_query("UPDATE `duels` SET `act`='2', `yes`='3' WHERE `id`='".$poste['id']."'");
mysql_query("DELETE FROM `duels_golos` WHERE `idd` = '$poste[id]'");
}
$qld=mysql_query("SELECT * FROM `duels` WHERE `act` = '0' AND `time` < '$dtime' ORDER BY time");

while ($postes = mysql_fetch_array($qld))
{
$ald = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$postes['ider']."' LIMIT 1"));
$msgnos = 'К сожалению '.$ald['nick'].' проигноировал схватку в дуэли с вами! Желаем вам дальнейших успехов! И выиграшей! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$postes['ider']."', '".$msgnos."', '".$time."')");
mysql_query("DELETE FROM `duels` WHERE `id` = '$postes[id]' LIMIT 1");
}
if($act == 'inser') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `user` WHERE `id` = $ids"),0);
if ($kl==0)
{
echo "Нет таково пользователя<br/>";
include_once 'sys/inc/tfoot.php'; exit;
}
if($user['id'] == $ids)
{
echo 'Нельзя вызывать себя на дуэль))';
include_once 'sys/inc/tfoot.php'; exit;
}
$x=mysql_query("SELECT * FROM `duels` WHERE `idur`='$ids' AND `ider`='$user[id]'");
if(mysql_num_rows($x))
{
echo 'Вы уже были с данным пользователем на дуэли!!';
include_once 'sys/inc/tfoot.php'; exit;
}
$xl=mysql_query("SELECT * FROM `duels` WHERE `ider`='$ids' AND `idur`='$user[id]'");
if(mysql_num_rows($xl))
{
echo 'Вы уже были с данным пользователем на дуэли!!';
include_once 'sys/inc/tfoot.php'; exit;
}
$xs=mysql_query("SELECT * FROM `duels` WHERE `idur`='$ids' AND `act`='1'");
if(mysql_num_rows($xs))
{
echo 'Данный пользователь уже на дуэли!!!';
include_once 'sys/inc/tfoot.php'; exit;
}
$xsl=mysql_query("SELECT * FROM `duels` WHERE `ider`='$ids' AND `act`='1'");
if(mysql_num_rows($xsl))
{
echo 'Данный пользователь уже на дуэли!!!';
include_once 'sys/inc/tfoot.php'; exit;
}
$xsls=mysql_query("SELECT * FROM `duels` WHERE (`ider`='$user[id]' OR `idur`='$user[id]') AND `act`='1'");
if(mysql_num_rows($xsls))
{
echo 'Вы уже на дуэли!!!';
include_once 'sys/inc/tfoot.php'; exit;
}
mysql_query("INSERT INTO `duels` (`id`, `ider`, `idur`, `time`) VALUES ('0', '".$user['id']."', '".$ids."', '".time()."')");
$msgnos = 'Вас вызвали на дуэль, принять или отклонить вызов можно [url=/duels.php?act=my]здесь[/url]';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$ids."', '".$msgnos."', '".$time."')");
echo "<div class='str'>Вызов на дуэль отправлен пользователю!!</div>";
} else if($act == 'ok') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `id` = $ids AND `idur` = '$user[id]'"),0);
if ($kl==0)
{
echo "Нет такой дуэли<br/>";
include_once 'sys/inc/tfoot.php'; exit;
}
$xs=mysql_query("SELECT * FROM `duels` WHERE `idur`='$user[id]' AND `act`='1'");
if(mysql_num_rows($xs))
{
echo 'Вы уже на дуэли!!!';
include_once 'sys/inc/tfoot.php'; exit;
}
$xsl=mysql_query("SELECT * FROM `duels` WHERE `ider`='$user[id]' AND `act`='1'");
if(mysql_num_rows($xsl))
{
echo 'Вы уже на дуэли!!!';
include_once 'sys/inc/tfoot.php'; exit;
}
$a = mysql_fetch_array(mysql_query("SELECT * FROM `duels` WHERE `id` = '".$ids."' LIMIT 1"));
$xsls=mysql_query("SELECT * FROM `duels` WHERE (`ider`='$a[ider]' OR `idur`='$a[ider]') AND `act`='1'");
if(mysql_num_rows($xsls))
{
echo 'Данный пользователь уже на дуэли!!!';
include_once 'sys/inc/tfoot.php'; exit;
}
mysql_query("UPDATE `duels` SET `act`='1', `yes`='1', `time`='".time()."' WHERE `id`='".$ids."'");

$msgnos = 'Поздравляем) Ваш вызов на дуэль принят!) Желаем вам дальнейших успехов! И выиграшей! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$a['ider']."', '".$msgnos."', '".$time."')");
echo "<div class='str'>Вы приняли вызов на дуэль!</div>";
} else if($act == 'my') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `idur` = '$user[id]' AND `act` = '0'"),0);
if ($kl==0)
{
echo "Нет вызовов на дуэли<br/>";
include_once 'sys/inc/tfoot.php'; exit;
}
echo "<table class='post'>\n";
$q=mysql_query("SELECT * FROM `duels` WHERE `act` = '0' AND `idur` = '$user[id]' ORDER BY time");

while ($post = mysql_fetch_array($q))
{
if($post['yes'] != 3) mysql_query("UPDATE `duels` SET `act`='0', `yes`='3' WHERE `id`='".$post['id']."'");
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['ider']."' LIMIT 1"));
echo '<tr><td class="icon48" >';
echo avatar2($a['id']);
echo '</td><td class="p_m">&nbsp;'.online($a['id']).'&nbsp;<a href="/info.php?id='.$a['id'].'">'.$a['nick'].'</a> ('.vremja($poste['time']).')<br/>';
echo '<a href="/duels.php?act=ok&id='.$post['id'].'">Принять</a> / <a href="/duels.php?act=no&id='.$post['id'].'">Отклонить</a></td></tr>';
}
} else if($act == 'all') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `act` = '1'"),0);
if ($kl==0)
{
echo "Нет дуэлей<br/>";
include_once 'sys/inc/tfoot.php'; exit;
}
echo "<table class='post'>\n";
$k_page=k_page($kl,$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*$page-$set['p_str'];
$q=mysql_query("SELECT * FROM `duels` WHERE `act` = '1' GROUP BY time DESC LIMIT $start, $set[p_str]");

while ($post = mysql_fetch_array($q))
{
//if($post['yes'] != 3) mysql_query("UPDATE `duels` SET `act`='0', `yes`='3' WHERE `id`='".$post['id']."'");
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['ider']."' LIMIT 1"));
$as = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['idur']."' LIMIT 1"));
echo '<div class="str"><a href="/info.php?id='.$a['id'].'"><span style="color:'.$a['ncolor'].'">'.$a['nick'].'</span></strong></a>';
echo ' <strong><span style="color:black">VS</span></strong> ';
echo '<a href="/info.php?id='.$as['id'].'"><span style="color:'.$as['ncolor'].'">'.$as['nick'].'</span></strong></a>';
echo '<br/>Время окончания: <strong>'.vremja(($post['time']+86400)).'</strong>';
echo '<br/>- <a href="/duels.php?act=inf&id='.$post['id'].'"><strong>Полная информация</strong></a></div>';
echo '<tr></tr>';
}
if ($k_page>1)str("?act=all&",$k_page,$page);
} else if($act == 'myd') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE (`idur` = '$user[id]' OR `ider` = '$user[id]') AND `act` = '1'"),0);
if ($kl==0)
{
echo "Вы не учавствуете в дуели<br/>";
include_once 'sys/inc/tfoot.php'; exit;
}
echo "<table class='post'>\n";
$post=mysql_fetch_array(mysql_query("SELECT * FROM `duels` WHERE `act` = '1' AND (`idur` = '$user[id]' OR `ider` = '$user[id]')"));

$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['ider']."' LIMIT 1"));
$as = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['idur']."' LIMIT 1"));
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '0' AND `idd` = '$post[id]' AND `idz` = '1'"),0);
$kls=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '1' AND `idd` = '$post[id]' AND `idz` = '1'"),0);
$kle=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '0' AND `idd` = '$post[id]' AND `idz` = '2'"),0);
$kles=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '1' AND `idd` = '$post[id]' AND `idz` = '2'"),0);
echo '&nbsp;'.online($a['id']).'&nbsp;<a href="/info.php?id='.$a['id'].'"><span style="color:'.$a['ncolor'].'">'.$a['nick'].'</span></strong></a>&nbsp;'.adm($a['id']).'<br />';
echo avatar2($a['id']);
echo '<br /><div class="gend">Голосов: <strong>'.$post['koler'].'</strong>';
echo '<br />М: <strong>'.$kls.'</strong> / Ж: <strong>'.$kl.'</strong></div>';
echo '<br /><div class="str">Против:</div>';
echo '&nbsp;'.online($as['id']).'&nbsp;<a href="/info.php?id='.$as['id'].'"><span style="color:'.$as['ncolor'].'">'.$as['nick'].'</span></strong></a>&nbsp;'.adm($as['id']).'<br />';
echo avatar2($as['id']);
echo '<br /><div class="gend">Голосов: <strong>'.$post['kolur'].'</strong>';
echo '<br />М: <strong>'.$kles.'</strong> / Ж: <strong>'.$kle.'</strong></div>';
echo '<div class="str">Время окончания: <strong>'.vremja(($post['time']+86400)).'</strong></div>';
} else if($act == 'inf') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `id` = '$ids' AND `act` = '1'"),0);
if ($kl==0)
{
echo "Вы не учавствуете в дуели<br/>";
include_once 'sys/inc/tfoot.php'; exit;
}
echo "<table class='post'>\n";
$post=mysql_fetch_array(mysql_query("SELECT * FROM `duels` WHERE `id` = '$ids' AND `act` = '1'"));

$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['ider']."' LIMIT 1"));
$as = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['idur']."' LIMIT 1"));
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '0' AND `idd` = '$post[id]' AND `idz` = '1'"),0);
$kls=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '1' AND `idd` = '$post[id]' AND `idz` = '1'"),0);
$kle=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '0' AND `idd` = '$post[id]' AND `idz` = '2'"),0);
$kles=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '1' AND `idd` = '$post[id]' AND `idz` = '2'"),0);
echo '&nbsp;'.online($a['id']).'&nbsp;<a href="/info.php?id='.$a['id'].'"><span style="color:'.$a['ncolor'].'">'.$a['nick'].'</span></strong></a>&nbsp;'.adm($a['id']).'<br />';
echo avatar($a['id']);
echo '<div class="gend">Голосов: <strong>'.$post['koler'].'</strong>';
echo '<br />М: <strong>'.$kls.'</strong> / Ж: <strong>'.$kl.'</strong></div>';
echo '<br /><div class="str">Против:</div>';
echo '&nbsp;'.online($as['id']).'&nbsp;<a href="/info.php?id='.$as['id'].'"><span style="color:'.$as['ncolor'].'">'.$as['nick'].'</span></strong></a>&nbsp;'.adm($as['id']).'<br />';
echo avatar($as['id']);
echo '<div class="gend">Голосов: <strong>'.$post['kolur'].'</strong>';
echo '<br />М: <strong>'.$kles.'</strong> / Ж: <strong>'.$kle.'</strong></div>';
echo '<div class="str">Время окончания: <strong>'.vremja(($post['time']+86400)).'</strong></div>';
} else if($act == 'golos') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `id` = $ids"),0);
if ($kl==0)
{
echo "Нет такой дуэли<br/>";
include_once 'sys/inc/tfoot.php'; exit;
}
$man = intval($_GET['man']);
if(($man > 2) || ($man == 0))
{
echo 'Error';
include_once 'sys/inc/tfoot.php'; exit;
}
$xs=mysql_query("SELECT * FROM `duels_golos` WHERE `uid`='$user[id]' AND `idd`='$ids'");
if(mysql_num_rows($xs))
{
echo 'Вы уже Голосовали за эту дуэль!!!';
include_once 'sys/inc/tfoot.php'; exit;
}
$xsl=mysql_query("SELECT * FROM `duels` WHERE `ider`='$user[id]' AND `id`='$ids'");
if(mysql_num_rows($xsl))
{
echo 'Нельзя голосовать за свою дуэль!!!';
include_once 'sys/inc/tfoot.php'; exit;
}
$xsle=mysql_query("SELECT * FROM `duels` WHERE `idur`='$user[id]' AND `id`='$ids'");
if(mysql_num_rows($xsl))
{
echo 'Нельзя голосовать за свою дуэль!!!';
include_once 'sys/inc/tfoot.php'; exit;
}
if(!($user['date_reg'] < (time()-900)))
{
echo 'Прежде чем голосовать, вы должны провести на сайте как минимум 15 минут!!!';
include_once 'sys/inc/tfoot.php'; exit;
}
if($user['balls'] < 50)
{
echo 'Нельзя голосовать при количестве баллов, у вас меньше чем 50!!!';
include_once 'sys/inc/tfoot.php'; exit;
}

mysql_query("INSERT INTO `duels_golos` (`id`, `uid`, `idd`, `man`, `idz`) VALUES ('0', '".$user['id']."', '".$ids."', '".$user['pol']."', '".$man."')");
if($man == 1)
{
mysql_query("UPDATE `duels` SET `koler`=`koler`+'1' WHERE `id`='".$ids."'");
} else {
mysql_query("UPDATE `duels` SET `kolur`=`kolur`+'1' WHERE `id`='".$ids."'");
}
mysql_query("UPDATE `user` SET `balls`=`balls`+'10' WHERE `id`='".$user['id']."'");
echo "<div class='str'>Вы успешно проголосовали!</div>";
header('Location: duels.php?oke=ok');
} else if($act == 'no') {
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `id` = $ids AND `idur` = '$user[id]'"),0);
if ($kl==0)
{
echo "Нет такой дуэли<br/>";
include_once 'sys/inc/tfoot.php'; exit;
}
$xs=mysql_query("SELECT * FROM `duels` WHERE `idur`='$user[id]' AND `act`='1'");
if(mysql_num_rows($xs))
{
echo 'Вы уже на дуэли!!!';
include_once 'sys/inc/tfoot.php'; exit;
}
$xsl=mysql_query("SELECT * FROM `duels` WHERE `ider`='$user[id]' AND `act`='1'");
if(mysql_num_rows($xsl))
{
echo 'Вы уже на дуэли!!!';
include_once 'sys/inc/tfoot.php'; exit;
}
mysql_query("UPDATE `duels` SET `act`='0', `yes`='2' WHERE `id`='".$ids."'");
echo "<div class='str'>Вы отказали вызов на дуэль!</div>";
$aled = mysql_fetch_array(mysql_query("SELECT * FROM `duels` WHERE `id` = '".$ids."' LIMIT 1"));
$msgnos = 'К сожалению '.$user['nick'].' Отказался от схватки в дуэли с вами! Желаем вам дальнейших успехов! И выиграшей! :)';
mysql_query("INSERT INTO `jurnal` (`id_user`, `id_kont`, `msg`, `time`) values('0', '".$aled['ider']."', '".$msgnos."', '".$time."')");
} else {
echo "<table class='post'>\n";
$q=mysql_query("SELECT * FROM `duels` WHERE `act` = '1' AND `yes` = '1' AND `ider` != '$user[id]' AND `idur` != '$user[id]' GROUP BY time");

while ($post = mysql_fetch_array($q))
{
$xs=mysql_query("SELECT * FROM `duels_golos` WHERE `uid`='$user[id]' AND `idd`='$post[id]'");
if(mysql_num_rows($xs))
{
$lost = 0;
} else {
if($_GET['oke'] == 'ok') echo "<div class='str'><strong>Вы успешно проголосовали!</strong></div>";
$njztm=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `act` = '1'"), 0);
file_put_contents('duels.txt', $njztm);
echo "<div class='str'>Активных дуэлей: <srong>".$njztm."</strong></div>";
echo "<div class='str'>За каво голосуем?)</div>";
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['ider']."' LIMIT 1"));
$as = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '".$post['idur']."' LIMIT 1"));
$kl=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '0' AND `idd` = '$post[id]' AND `idz` = '1'"),0);
$kls=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '1' AND `idd` = '$post[id]' AND `idz` = '1'"),0);
$kle=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '0' AND `idd` = '$post[id]' AND `idz` = '2'"),0);
$kles=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_golos` WHERE `man` = '1' AND `idd` = '$post[id]' AND `idz` = '2'"),0);
echo '&nbsp;'.online($a['id']).'&nbsp;<a href="/info.php?id='.$a['id'].'"><span style="color:'.$a['ncolor'].'">'.$a['nick'].'</span></strong></a>&nbsp;'.adm($a['id']).'<br />';
echo avatar($a['id']);
echo '<div class="gend">Голосов: <strong>'.$post['koler'].'</strong>';
echo '<br />М: <strong>'.$kls.'</strong> / Ж: <strong>'.$kl.'</strong>';
echo '<br />- <a href="duels.php?act=golos&id='.$post['id'].'&man=1"><strong>Голосовать</strong></a></div>';
echo '<div class="str">Или:</div>';
echo '&nbsp;'.online($as['id']).'&nbsp;<a href="/info.php?id='.$as['id'].'"><span style="color:'.$as['ncolor'].'">'.$as['nick'].'</span></strong></a>&nbsp;'.adm($as['id']).'<br />';
echo avatar($as['id']);
echo '<div class="gend">Голосов: <strong>'.$post['kolur'].'</strong>';
echo '<br />М: <strong>'.$kles.'</strong> / Ж: <strong>'.$kle.'</strong>';
echo '<br />- <a href="duels.php?act=golos&id='.$post['id'].'&man=2"><strong>Голосовать</strong></a></div>';
echo '<div class="str">Время окончания: <strong>'.vremja(($post['time']+86400)).'</strong></div>';
$lost = 1;
break;
}
}

if($lost == 0)
{
if($_GET['oke'] == 'ok') echo "<div class='str'><strong>Вы успешно проголосовали!</strong></div>";
echo 'На данный момент доступных дуэлей нет!!!';
}
}
$njzt=mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE `idur` = '$user[id]' AND `act` = '0'"), 0);
echo '<br /><div class="page_foot">
- <a href="duels.php?act=my">Мои вызовы на дуэли</a> (<strong>'.$njzt.'</strong>)<br />
- <a href="duels.php?act=all">Все дуэли</a><br />
- <a href="duels.php?act=myd">Моя дуэль</a><br />
- <a href="duels.php">Дуэли</a></div>';
echo "</table>\n";
mysql_query("OPTIMIZE TABLE `duels`, `duels_golos`");
include_once 'sys/inc/tfoot.php';
?>
<table width="100%" cellpadding="4" cellspacing="0" border="0" class="forumline">
<tr><td class="catSides"><span class="cattitle">© 2011 inftp.ru</span></td></tr>
</table>
<p style="margin-bottom:0px; margin-top:4px" align="center"><a href="http://mstop.ru/?uid=6100"><img src="http://mstop.ru/count.php?6100" alt="mstop.ru"/></a>
